package com.reactlibrary;

import android.app.NotificationManager;
import android.content.Context;

import static android.app.NotificationManager.*;


public class DndManger {
    Context mContext;
    NotificationManager mNotificationManager;

    public DndManger(Context mContext) {
        this.mContext = mContext;
        this.mNotificationManager = (NotificationManager) mContext.getSystemService(Context.NOTIFICATION_SERVICE);
    }

    public void enableDnd() {
        mNotificationManager.setInterruptionFilter(INTERRUPTION_FILTER_NONE);
    }

    public void disableDnd() {
        mNotificationManager.setInterruptionFilter(INTERRUPTION_FILTER_ALL);
    }

}
